%define	upstream_name	 GTop
%define	upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl interface to libgtop
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/M/MJ/MJH/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: libgtop2.0-devel
BuildRequires: perl-devel
Requires:   perl
%description
GTop is a Perl interface to libgtop.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files 
%doc Changes META.yml MYMETA.yml README TODO examples
%{perl_vendorarch}/config.pl
%{perl_vendorarch}/GTop*
%{perl_vendorarch}/auto/GTop
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 367620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.180.0-1.mga3
+ Revision: 254950
- update to 0.18

* Wed May 30 2012 jquelin <jquelin> 0.170.0-2.mga3
+ Revision: 250751
- rebuild for perl 5.16
- update to 0.17

* Sun Jun 12 2011 sander85 <sander85> 0.160.0-2.mga2
+ Revision: 104651
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 32756
- mageia rebuild
- imported package perl-GTop

